/*
 * Common styles
 */
* {
    box-sizing: border-box;
}

body {
    padding: 10px;
    font-family: Roboto, Arial, sans-serif;
    font-size: 16px;
    line-height: 24px;
    color: #354041;
}

h1 {
    color: #A0C75B;
    font-family: Montserrat, sans-serif;
}

a {
    text-decoration: none;
    color: #EF6730;
}

small {
    display: block;
    padding: 0.75em 0;
    color: #7B959A;
}

label {
    display: block;
    padding: 1em 0 0.5em;
    font-weight: bold;
    color: #20A99F;
}

input,
textarea,
button {
    border: 1px solid #354041;
}

input[type='text'] {
    width: 100%;
    padding: 0.5em;
    font-size: 16px;
}

textarea {
    height: 400px;
    width: 100%;
    padding: 0.5em;
    font-size: 12px;
}

button {
    font-size: 16px;
    margin-top: 10px;
    padding: 10px;
    cursor: pointer;
    color: #EF6730;
    border: 1px solid #EF6730;
    transition: 0.25s all ease-in-out;
}

button:hover {
    color: #fff;
    background: #EF6730;
}

.code {
    font-family: monospace;
}


/*
 * Layouts
 */
.l-2up--1 {
    float: left;
    width: 50%;
    padding-right: 10px;
}

.l-2up--2 {
    float: left;
    width: 50%;
    padding-left: 10px;
}

.l-1up {
    width: 100%;
}

.container {
    display: block;
    margin: 0 auto;
    max-width: 800px;
}

/*
 * Styles for Parse
 */
.logo {
    display: inline-block;
    background-image: url('../images/iconmonstr-glasses-7.svg');
    background-size: cover;
    background-repeat: no-repeat;
    height: 24px;
    width: 24px;
    margin-right: 10px;
}

.parse {
    clear: both;
}

#result {
    display: none;
    margin-top: 2em;
    padding: 1em;
    background: #f1f1f1;
}

#result-tests {
    width: 100%;
    overflow-x: scroll;
}

.form-element {
    margin-top: 1.5em;
}

.form-element--hidden label {
    color: #7B959A;
    cursor: pointer;
}

.form-element--hidden.isExpanded label {
    color: #20A99F;
}

.form-element--container {
    display: none;
    padding-bottom: 1em;
    border-bottom: 1px solid black;
}